Name : Gunasinghe M.D.

IT Number : IT17043342

Group ID : 2020-046

Research : CIAT - Child Intelligent Assessment Tool

Individual Component: SCIT - Shapes and Color Identification Test


<br></br>
**Please read the instructions section to train the cnn model and run the application** 


# Shapes and Color Identification Test
**Abstract** / **Research Question**

The shapes and colour identification test conducted manually in Lady Ridgeway Hospital in Sri Lanka . Since there are issues with manual data storing and the accuracy of the test results , as a solution we have proposed an automated application. The SCIT will help doctors and parents to identify the learning disabilities of preschool children.

The ability to understand things when teaching is low in children who have lack of concentration and ability to remember. When these children are taken to the hospitals to diagnose, their level of intelligence is determined by using manual tests. To conduct this test for a child , need special supervision since it’s a medical test. Therefore it’s time consuming and it may occur some human errors while conducting the test session . 

As the evolution of technology the younger generation tends to use smart devices and applications rather than manual methods. Soo this application will not be a complex matter for them.

There is no proper tool or application for identifying weaknesses of the child’s by giving some nonverbal intelligence tests and generate a results which contains level of intelligence of a child. For tests we are using non-verbal intelligence tests to assess students who have language processing problems or those with limited Sinhala proficiency. 

The main purpose of this test is to identifying some unique weaknesses to recognize specific shapes and colours which is hard to recognize by the child who attend for the test and why children are weak for identify specific set of shapes mostly. In shape drawing test, it’s important to interpret the way of drawing shapes by  the child for the future research purposes.



**Objectives**

*Main Objective*

Developing a automated test scenario using shapes and colour identification test which is currently used in Lady Ridgeway Hospital. Also this test is capable of identifying intelligence level of a specific group of people. Main goal of this system is to “Check on IQ level of a people with limited language, reading, writing or motor skills”. 

*Specific Objectives* 

•	Shapes Matching – Identifying the basic shapes.

Application will provide a UI to choose and connect the matching shapes within a given time period.  In this we conduct an analytic part for check whether the child is able to identify and match basic shapes

•	Shapes drawing.  

In this test user will be ordered to copy the shapes on canvas which is provided by the application. If user will able draw the shapes correctly , he or she will able to access the next level of the test

•	Shapes drawing – predict the score.

Generated accuracy as a percentage of actual drawn shape on the canvas. Analysing the results according to factors such as gender , age difference , IQ level and the way drawing the shapes.



# project structure



*  "CNNmodel" : folder includes python scripts for generate the cnn model

*  "ShapesClassification" : includes android studio project for shapes identification app



# Instructions - Model Training /CNNmodel


As a first step i trained the model using training dataset within 3 main classes.

After that save my trained model into a h5 file.

i've used this pretrained model to predict our custom images(single) from test dataset.

at the end of the training process visulizing accuracy and loss of validation after each epoch using matplotlib library.



**please install requirements - python libraries**

    $ pip install -r requirements.txt
    
    
to train the model using training dataset    

    $ python cnn.py


To give single image of shape stored on your computer and predict use script as below

    $ python predict.py --image <image-path>
    
You can find the confusion matrix and accuracy of model after prediction.


**The Model Conversion and Integration Task**


after the training process you can simply run "convert.py" to convert keras model(.h5) into (.tflite)model.


# Instructions - Android Application / ShapesClassification

    Clone the this repository -> open in android studio -> run the application 

Android studio will download necessary plugins to the environment automatically. after that you can run this application.

also **i've provided SCIT.apk file** so you can simply copy that into your mobile phone and install and run it.



# System Environment

    windows 10
    Android Studio 4.0.0
    Python 3.7
    Keras 2.2.0
    Tensorflow 2.2.0rc4 